docs

# createSubContextAndDoWithUpdatesFilter

suspend fun < T , BC : BehaviourContext > BC . createSubContextAndDoWithUpdatesFilter ( scope: CoroutineScope = LinkedSupervisorScope(), triggersHolder: TriggersHolder = this.triggersHolder, updatesUpstreamFlow: Flow< Update > = allUpdatesFlow, updatesFilter: CustomBehaviourContextAndTypeReceiver < BC , Boolean , Update >? = null, stopOnCompletion: Boolean = true, behaviourContextReceiver: CustomBehaviourContextReceiver < BC , T >): T
Content copied to clipboard

Creates new one BehaviourContext using createSubContext and launches behaviourContextReceiver in a new context using doInContext

## Parameters

stopOnCompletion

TRUE BY DEFAULT